import { HttpService } from 'ng-http-sugar';
import { ZendeskConfig } from './zendesk-config.interface';
import { ZendeskRequestAPIPayload } from './zendesk-request-api-payload.interface';
export declare class ZendeskAPIService {
    private config;
    private http;
    routes: {
        requests: string;
    };
    constructor(config: ZendeskConfig, http: HttpService);
    sendRequestWithTypeAndPayloadAndMethod(type: 'requests', payload: ZendeskRequestAPIPayload, method: 'POST', successCallback: (dataSent: ZendeskRequestAPIPayload, dataReceived: any) => void, errorCallback: (dataSent: ZendeskRequestAPIPayload, dataReceived: any) => void): void;
    private _getEmailFromPayload(payload);
}
