import { ZendeskAPIService } from './zendesk-api.service';
import { ZendeskRequestAPIPayload } from './zendesk-request-api-payload.interface';
export declare class ZendeskORMService {
    private zendesk;
    constructor(zendesk: ZendeskAPIService);
    createRequest(formId: number, requesterName: string, requesterEmail: string, subject: string, body: string, successCallback?: (dataSent: ZendeskRequestAPIPayload, dataReceived: any) => void, errorCallback?: (dataSent: ZendeskRequestAPIPayload, dataReceived: any) => void, tags?: Array<string>, customFields?: Array<{
        id: number;
        value: string;
    }>): void;
    private _defaultSuccessCallback(dataSent, dataReceived);
    private _defaultErrorCallback(dataSent, dataReceived);
}
